# kate_font_mapping Struct Reference

`#include <kate.h>`

## Data Fields
size_t | nranges
kate_font_range ** | ranges

## Detailed Description

defines a set of ranges to define a font mapping

## Field Documentation

size_t kate_font_mapping::nranges

the number of ranges in this mapping

Referenced by kate_font_get_index_from_code_point(), and kate_info_clear().

kate_font_range** kate_font_mapping::ranges

the list of ranges in this mapping

Referenced by kate_font_get_index_from_code_point(), and kate_info_clear().

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h